////////////////////////////////////////////////////////////////////
//
//  Tutorial uso di MySql con driver ODBC della actual technologies
//
//  Created by Francesco Germinara 
// 
//  Freeware (c) 2005 SofTech di F.Germinara - www.germinara.it. 
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

/* panelMovimentiController */

#import <Cocoa/Cocoa.h>
#import <gstregaliapp.h>
#import "FGODBCResultSet.h"
#import "cmbRicorrenzeDataSource.h"

@interface panelMovimentiController : NSObject
{
    IBOutlet NSTextField *anno;
	IBOutlet NSTextField *descPersona;
    IBOutlet NSTextField *descrRegalo;
    IBOutlet NSTableView *elencoMovimenti;
    IBOutlet NSComboBox *idTipoRicorrenza;
    IBOutlet NSSegmentedControl *pulsantiAzione;
    IBOutlet gstregaliapp *theApp;

   //DATASOURCE for NSTableView
	FGODBCResultSet *dsMovimenti; //DataSource MOVIMENTI	
	
	//DATASOURCE for NSComboBox
	cmbRicorrenzeDataSource *cmbRicorrenzeDS;	
	
	@public
    IBOutlet NSTextField *idPersona;
    IBOutlet NSTextField *idRegalo;
	
	IBOutlet NSPanel *panelCerca; //Aiutami!
}
- (IBAction)btnBarraAzionePremuto:(id)sender;

-(void)updateRecord; //Update Record
-(void)deleteRecord; //Delete record
-(void)deleteAllRecords; //Delete all records

-(void) startUseDataSource; //Start using internal datasource for tableview
-(void) startUseDataSourceForComboBox; //Start using internal datasource for combobox

 //enable/disable control in user interface
-(void)setCtrlStat:(BOOL) bSts;

//Double click action
-(void)loadSelectedData;

//Clear user input fields data
-(void)clearFelds;

//return TRUE or FALSE if record is new or already present
- (NSMutableString *)controlloDati:(BOOL *) bStdOK newRecord:(BOOL *)bNuovoRecord;

//udate description for field Persona and Regalo
-(void) updateDescription; 

@end
